class Equipe{
   constructor(id, nom){
      this.elt = document.getElementById(id) ;
      this.nom = nom;
      this.elt.querySelector("h1").innerHTML = this.nom ;
      this.score = 0;
      this.scoreElt = this.elt.querySelector(".score");
      this.displayScore();
   }

   returnElt(){
      return this.elt;
   }

   displayScore(){
      //affiche le score dans l'élément contenu dans l'attribut scoreElt
   }

   getScore(){
      //renvoie le score
   }

   getNom(){
      //renvoie le nom de l'équipe
   }

   addShot(type){
      //si type est "FT" (lancé franc), ajouter 1 point au score
      //si type est "2pts", ajouter 2 points au score
      //si type est "3pts", ajouter 3 points au score
}

class Match{
   constructor(equipe1, equipe2){
      //À modifier, pour que l'équipe qui est devant soit automatiquement mise à jour à chaque fois qu'on ajoute des points à une équipe.
      this.equipes = [equipe1, equipe2];
      //pour la déclaration des “listeners” la liste des paramètres de la fonction addShot et la liste des classes des éléments qui vont appeler la fonction
      var shots = ["FT", "2pts", "3pts"] ;
      var eltClasses = [".ft", ".two", ".three"] ;
      //Dans les fonctions déclenchées par les fonctions déclarées ci-dessous (qui ne sont pas des méthodes des objets en question), this se référera à l'objet DOM qui aura déclenché l'événement click.
      //pour éviter l'erreur qui se produirait, on stocke le présent objet temporairement dans une variable et on utilise celle-ci au sein de la fonction.
      let self = this;
      //création des fonctions et des listeners associés
      for(let i=0;i<shots.length;i++){
         for(let j=0; j<this.equipes.length; j++){
            //déclaration d'une fonction associée à l'événement “onclick” pour chaque bouton du tableau de chaque équipe
            this.equipes[j].returnElt().querySelector(eltClasses[i]).onclick = function(){self.equipes[j].addShot(shots[i]);};
         }
      }
      //attribut où on va stocker l'élément qui contiendra le nom de l'équipe qui mène
      this.vainqueurElt = document.getElementById("vainqueur").querySelector("p");
      //déclaration du listener pour le bouton qui doit afficher l'équipe qui mène.
      document.getElementById("vainqueur").querySelector("menu").onclick = function(){self.showVainqueur();};
   }

   showVainqueur(){
      //détecte l'équipe qui est devant et affiche le nom de son équipe dans l'élément contenu dans l'attribut vainqueurElt
   }

   leadChanges(){
      //renvoie le nombre de “lead changes” dans le match.
      //Une fois que le premier point (panier ou lancer franc) a été marqué on considère qu'un “lead change” se produit à chaque fois qu'une équipe marque et passe devant l'autre (que le score ait été équitable ou en faveur de l'autre équipe juste avant.)
   }
}
